problema con el beryl en ati, por favor ayuda!!!

Imagen de santhai
0 puntos

hola, he conseguido poner la aceleracion en mi ati radeon x1100, pero no consigo poner el beryl. lo pongo y no se me inicia, escribo en el terminal: beryl, y me devuelve lo siguiente:

**************************************************************
* Beryl system compatibility check                           *
**************************************************************

Detected xserver                                : AIGLX

Checking Display :0.0 ...

Checking for XComposite extension               : failed

No composite extension
libberylsettings: Couldn't get vtable from '/usr/lib/beryl/lib3d.so' plugin
libberylsettings: Couldn't get vtable from '/usr/lib/beryl/libcrashhandler.so' plugin
libberylsettings: Couldn't get vtable from '/usr/lib/beryl/libanimation.so' plugin
libberylsettings: Couldn't get vtable from '/usr/lib/beryl/libannotate.so' plugin
libberylsettings: Couldn't get vtable from '/usr/lib/beryl/libbench.so' plugin
libberylsettings: Couldn't get vtable from '/usr/lib/beryl/libblurfx.so' plugin
libberylsettings: Couldn't get vtable from '/usr/lib/beryl/libclone.so' plugin
libberylsettings: Couldn't get vtable from '/usr/lib/beryl/libdecoration.so' plugin
libberylsettings: Couldn't get vtable from '/usr/lib/beryl/libcube.so' plugin
libberylsettings: Couldn't get vtable from '/usr/lib/beryl/libfade.so' plugin
libberylsettings: Couldn't get vtable from '/usr/lib/beryl/libgroup.so' plugin
libberylsettings: Couldn't get vtable from '/usr/lib/beryl/libscreenshot.so' plugin
libberylsettings: Couldn't get vtable from '/usr/lib/beryl/libinputzoom.so' plugin
libberylsettings: Couldn't get vtable from '/usr/lib/beryl/libmove.so' plugin
libberylsettings: Couldn't get vtable from '/usr/lib/beryl/libneg.so' plugin
libberylsettings: Couldn't get vtable from '/usr/lib/beryl/libplace.so' plugin
libberylsettings: Couldn't get vtable from '/usr/lib/beryl/libput.so' plugin
libberylsettings: Couldn't get vtable from '/usr/lib/beryl/libresize.so' plugin
libberylsettings: Couldn't get vtable from '/usr/lib/beryl/librotate.so' plugin
libberylsettings: Couldn't get vtable from '/usr/lib/beryl/libscale.so' plugin
libberylsettings: Couldn't get vtable from '/usr/lib/beryl/libsplash.so' plugin
libberylsettings: Couldn't get vtable from '/usr/lib/beryl/libswitcher.so' plugin
libberylsettings: Couldn't get vtable from '/usr/lib/beryl/libstate.so' plugin
libberylsettings: Couldn't get vtable from '/usr/lib/beryl/libwater.so' plugin
libberylsettings: Couldn't get vtable from '/usr/lib/beryl/libwobbly.so' plugin
libberylsettings: Couldn't get vtable from '/usr/lib/beryl/libplane.so' plugin
libberylsettings: Couldn't get vtable from '/usr/lib/beryl/libsettings.so' plugin
libberylsettings: Couldn't get vtable from '/usr/lib/beryl/libshowdesktop.so' plugin
libberylsettings: Couldn't get vtable from '/usr/lib/beryl/libtrailfocus.so' plugin
libberylsettings: Couldn't get vtable from '/usr/lib/beryl/libzoom.so' plugin
beryl: No composite extension

 

la linea de XComposite extension: failed lo soluciono cambiando en xorg.conf  

composite" "Disable" por "Enable", pero entonces se me quita la aceleracion ("Direct rendering: no"), alguien sabe como solucionarlo?
gracias de antemano 

 

Imagen de santhai
+1
0
-1

hola, he conseguido mejorar un poco, ahora cuando pongo 'beryl' en el terminal me sale:

  Beryl system compatibility check                           *
**************************************************************

Detected xserver                                : AIGLX

Checking Display :0.0 ...

Checking for XComposite extension               : failed

No composite extension
beryl: SmcOpenConnection failed: Authentication Rejected, reason : None of the authentication protocols specified are supported and host-based authentication failed
beryl: No composite extension

 

se que al cambiar el "Composite" "Disable" por Enable seria una posible solucion, pero es que al hacerlo se me desactiva la aceleracion. por favor ayuda,gracias

+1
0
-1
Imagen de Ktorce
+1
0
-1

Siento decirte que no puedes tener Beryl con AIGLX con tu ATI, a mi me pasa lo mismo con la x1650.

 

Desgraciadamente, para nuestras tarjetas no hay drivers libres, y estamos condenados a utilizar los propietarios de ATI (fglrx), y estos no soportan Composite.

 

Si quieres tener beryl, tienes que instalarlo con XGL, aunque es mucho mas engorroso (http://wiki.beryl-project.org/wiki/Install_Beryl_on_Ubuntu_Edgy_with_XGL)

 

Salu2 

+1
0
-1
Imagen de santhai
+1
0
-1

bua ke mala noticia tio!! pero muchas gracias, lo seguiremos intentando, a ver si con xgl podemos, un saludo y de nuevo: gracias

 

+1
0
-1
Imagen de leptom
+1
0
-1

Feisty fawn sale en 9 días (el 19), el tema de instalar la aceleración y compiz se ha simplificado mucho, tanto como hacer unos simples clicks.

Así que dentro de nada podrás tener todo el tinglado funcionando :)

Compiz no es tan "alocado"(con tantos efectos) como beryl pero también es vistoso, además ahora se han juntado beryl y compiz de nuevo. 

Saludos! 

----------------

TODO: Find a new signature xD

+1
0
-1
Imagen de santhai
+1
0
-1

hola chicos, por fin y habiendomelo currado una barbaridad, mi esfuerzo ha sido compensado con beryl, animo a todos y en especial a Ktorce a intentarlo, si quieres saber como lo he conseguido mandamre un mensajiyo y al dia siguiente os contxto como muy tarde, y gracias a todos los que me ayudaron

 

+1
0
-1
Imagen de Uchiha Sasuke
+1
0
-1

bueno, tengo esa placa y ya probe bastantes cosas pero nada da resultado, no me deja habilitar los efectos de escritorio :S me gustaria que me ayudes de paso a instalar la placa correctamente, tengo faisty y tengo los drivers que vienen en "añadir quitar"

+1
0
-1
Imagen de Defcon
+1
0
-1

Hola santhai,

tengo un AMD Turion 64 con Ati Radeon x1100 y acabo de instalar kubuntu 7.04. Por lo que he podido ver en videos me ha atraido mucho el entorno gráfico de Beryl. Después de leer mucho acerca de como poder hacerlo funcionar en mi máquina estaba apunto de desistir por el tema de falta de compatibilidad con la tarjeta gráfica hasta que he leido tu post. Me podrías echar un cable acerca de los pasos que has seguido para configurarlo?. Muchas gracias de antemano. 

 

+1
0
-1
Imagen de chapa
+1
0
-1

Pude instalar el beryl sin problemas, entro en la parte de configuración (bastante complicada por cierto) y todo eso,pero cuando lanzo el programa sea con el icono o desde la consola, se me cuelaga el sistema y tengo que reiniciar.

¿Es un tema de la tarjeta gráfica (ATI Radeon 9200SE) o se puede hacer algo mas?

+1
0
-1
Imagen de leptom
+1
0
-1

Desde la máquina que te escribo está beryl instalado y tiene es misma tarjeta gráfica. Lo he hecho con los drivers libres (los radeon).

Busca en google: "instalar beryl ati radeon"

Creo que el primer resultado te valdrá. Lo que te falta es instalar los drivers libres y tiras con AIGLX.

Saludos!

PS: Si no mira otros

----------------

TODO: Find a new signature xD

+1
0
-1
Imagen de Astallon
+1
0
-1

Salud!

 

Pues yo tengo este mismo problema con mi ATI 9800 ... pero necesito la solución para Ubuntu 7.04 U_U  por que el link que has posteado está muy bien, pero es para otra versión :_( y no logro encontrar una solución.

 

De paso, inauguro mi cuenta en el foro ubuntu con este post de auxilio XD (y soy nuevo en esto del linux :P) un saludo a tod@s y muchas gracias por la ayuda, que, seguro me brindareis (en este, y en mil un casos xD) 

+1
0
-1
Imagen de Buschi
+1
0
-1

Yo tengo una Asus Ati Radeon 9200SE, le instale el Ubuntu 7.04 y me la tomo re bien, despues fui a "Agregar y Quitar" y le instale los 3 paquetes de Beryl, y me funciono re bien.  Los driver de Ubuntu funcionan por lo visto

+1
0
-1